> ## Documentation Index
> Fetch the complete documentation index at: https://utoken-docs.yoostudio.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Responses Format

> OpenAI Responses API，用于创建模型响应。
支持多轮对话、工具调用、推理等功能。




## OpenAPI

````yaml post /v1/responses
openapi: 3.1.0
info:
  title: UToken API
  version: 1.0.0
  description: Complete UToken API Reference Documentation
servers:
  - url: https://utoken.yoostudio.ai
    description: Production
security: []
tags:
  - name: Images / Native Gemini Format
  - name: Images / Native OpenAI Format
  - name: Images / Qwen OpenAI Compatible Format
  - name: Realtime Voice
  - name: Content Moderation
  - name: Text Embeddings
  - name: Unimplemented / Fine-tuning
  - name: Unimplemented / File Management
  - name: Models / List Models
  - name: Chat Completions
  - name: Chat Completions / Native Gemini Format
  - name: Chat Completions / Native OpenAI Format
  - name: Text Completions
  - name: Video Generation
  - name: Video Generation / Sora Format
  - name: Video Generation / Jimeng (Dreamina) Format
  - name: Video Generation / Kling AI Format
  - name: Document Reranking
  - name: Audio Processing
  - name: Audio Processing / Native OpenAI Format
paths:
  /v1/responses:
    post:
      tags:
        - Chat Completions / Native OpenAI Format
      summary: Responses Format
      description: |
        OpenAI Responses API for creating model responses.
        Supports multi-turn conversations, tool calling, reasoning, and more.
      operationId: createresponse
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
              properties:
                model:
                  type: string
                input:
                  description: Input content, can be a string or message array
                  oneOf:
                    - type: string
                    - type: array
                      items:
                        type: object
                        properties: {}
                        x-apifox-orders: []
                instructions:
                  type: string
                max_output_tokens:
                  type: integer
                temperature:
                  type: number
                top_p:
                  type: number
                stream:
                  type: boolean
                tools:
                  type: array
                  items:
                    type: object
                    properties: {}
                    x-apifox-orders: []
                tool_choice:
                  oneOf:
                    - type: string
                    - type: object
                      properties: {}
                      x-apifox-orders: []
                reasoning:
                  type: object
                  properties:
                    effort:
                      type: string
                      enum:
                        - low
                        - medium
                        - high
                    summary:
                      type: string
                  x-apifox-orders:
                    - effort
                    - summary
                previous_response_id:
                  type: string
                truncation:
                  type: string
                  enum:
                    - auto
                    - disabled
              x-apifox-orders:
                - model
                - input
                - instructions
                - max_output_tokens
                - temperature
                - top_p
                - stream
                - tools
                - tool_choice
                - reasoning
                - previous_response_id
                - truncation
      responses:
        '200':
          description: Response created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                    examples:
                      - response
                  created_at:
                    type: integer
                  status:
                    type: string
                    enum:
                      - completed
                      - failed
                      - in_progress
                      - incomplete
                  model:
                    type: string
                  output:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        id:
                          type: string
                        status:
                          type: string
                        role:
                          type: string
                        content:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                              text:
                                type: string
                            x-apifox-orders:
                              - type
                              - text
                      x-apifox-orders:
                        - type
                        - id
                        - status
                        - role
                        - content
                  usage:
                    type: object
                    properties:
                      prompt_tokens:
                        type: integer
                        description: Prompt tokens
                      completion_tokens:
                        type: integer
                        description: Completion tokens
                      total_tokens:
                        type: integer
                        description: Total tokens
                      prompt_tokens_details:
                        type: object
                        properties:
                          cached_tokens:
                            type: integer
                          text_tokens:
                            type: integer
                          audio_tokens:
                            type: integer
                          image_tokens:
                            type: integer
                        x-apifox-orders:
                          - cached_tokens
                          - text_tokens
                          - audio_tokens
                          - image_tokens
                      completion_tokens_details:
                        type: object
                        properties:
                          text_tokens:
                            type: integer
                          audio_tokens:
                            type: integer
                          reasoning_tokens:
                            type: integer
                        x-apifox-orders:
                          - text_tokens
                          - audio_tokens
                          - reasoning_tokens
                    x-apifox-orders:
                      - prompt_tokens
                      - completion_tokens
                      - total_tokens
                      - prompt_tokens_details
                      - completion_tokens_details
                x-apifox-orders:
                  - id
                  - object
                  - created_at
                  - status
                  - model
                  - output
                  - usage
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication
        Format: Authorization: Bearer sk-xxxxxx

````